fourmolu-0.15.0.0: A formatter for Haskell source code

Safe Haskell | None
Language | GHC2021

Ormolu.Printer.Meat.Common

Description

Rendering of commonly useful bits.

Synopsis

- data FamilyStyle
  - = Associated
  - | Free
- p_hsmodName :: ModuleName -> R ()
- p_ieWrappedName :: IEWrappedName GhcPs -> R ()
- p_rdrName :: LocatedN RdrName -> R ()
- p_qualName :: ModuleName -> OccName -> R ()
- p_infixDefHelper :: Bool -> Bool -> R () -> [R ()] -> R ()
- p_hsDoc :: HaddockStyle -> Bool -> LHsDoc GhcPs -> R ()
- p_hsDoc' :: HaddockPrintStyle -> HaddockStyle -> Bool -> LHsDoc GhcPs -> R ()
- p_sourceText :: SourceText -> R ()

# Documentation

data FamilyStyle #

Data and type family style.

Constructors

Associated | Declarations in type classes
Free | Top-level declarations

p_hsmodName :: ModuleName -> R () #

Outputs the name of the module-like entity, preceeded by the correct prefix ("module" or "signature").

p_ieWrappedName :: IEWrappedName GhcPs -> R () #

p_rdrName :: LocatedN RdrName -> R () #

Render a ``LocatedN` `RdrName``.

p_qualName :: ModuleName -> OccName -> R () #

p_infixDefHelper #

Arguments

:: Bool | Whether to format in infix style
-> Bool | Whether to bump indentation for arguments
-> R () | How to print the operator/name
-> [R ()] | How to print the arguments
-> R () |

A helper for formatting infix constructions in lhs of definitions.

p_hsDoc #

Arguments

:: HaddockStyle | Haddock style
-> Bool | Finish the doc string with a newline
-> LHsDoc GhcPs | The `LHsDoc` to render
-> R () |

Print a Haddock.

p_hsDoc' #

Arguments

:: HaddockPrintStyle | 'haddock-style' configuration option
-> HaddockStyle | Haddock style
-> Bool | Finish the doc string with a newline
-> LHsDoc GhcPs | The `LHsDoc` to render
-> R () |

Print a Haddock.

p_sourceText :: SourceText -> R () #